//
// Prototype definitions.
//
DWORD WINAPI EventDetectionThrd(PVOID); 
BOOL CALLBACK SimulateEventDlgProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK AdministerTriggerSetsDlgProc(HWND, UINT, WPARAM, LPARAM);
VOID RegisterTriggerSets(VOID);
VOID LoadTriggers(VOID);
VOID StartTriggers(VOID);


struct STARTINFO_EVENTDETECTION {
   TCHAR Name[65];                      // Name of triggerset.
   BYTE TrgSetNumber;                  // The number of this triggerset (1 - MAX_NUM_OF_TRIGGERSETS) 
   HANDLE StartEvent;                  // Handle to start event.
};


struct TRIG_SET_CNF_FILE {
   TCHAR Name[65];                      // Name of triggerset.
   WORD PreEventTime;                  // Pre-event time in seconds.
   WORD MaxEventDuration;              // Maximum length of event (in seconds).
   WORD PostEventTime;                 // Post-event time in seconds.
   WORD NumTrigsInTimeWindow;          // Number of trigs reqiured before an event is declared.
   WORD TimeWindowLength;              // The length of the timewindow witch a certain number of
                                       // events must exist within before an event can be declared.
   BOOL TrigChannels[MAX_NUM_OF_CHANNELS]; // Channels are marked as 'TRUE' will be examined when detecting events.
   BOOL DumpChannels[MAX_NUM_OF_CHANNELS]; // Channels are marked as 'TRUE' will be dumped when event is detected.
   BOOL bModify;                       // Used by the 'AddTriggersetDlgProc' dialog box procedure.
};