class UnformPcFile {
public:

	UnformPcFile(WORD MaxBlockSize);				// Constructor function.
   ~UnformPcFile();									// Destructor function.
	BOOL Open(LPCTSTR);								// Opens and initiates the file.
	BOOL Write(DWORD, BYTE, BYTE*, DWORD*);	// Write a number of bytes to file.
	BOOL WriteLeftovers(DWORD*);					// Writes all bytes in the leftover buffer to file.
	BOOL Seek(LONG);									// Insert bytes into front of buffer.
	VOID Close();										// Closes the file.
	DWORD GetFilePointer();							// Return current file pointer position.
	VOID Flush();										// Flushes contentz of internal OS buffers to disk.

private:
	BOOL FileIsOpened;
	HANDLE FileHandle;
	DWORD FilePointer;
	BYTE NumLeftovers;
	BYTE LeftOverBytes[128];
	PBYTE pLocalBuffer;
};
