
//
//  Definitions for class 'MsgList'.
//


struct MSGNODE {
	UINT	uiMessage;
	DWORD idThread;
	HWND hWnd;
	MSGNODE *next_node;
};

class MsgList {
	private:

	// Private variables.
	DWORD NumNodes;
	MSGNODE *PtrFirstNode, *PtrLastNode;
   
	// Private subroutines.
	VOID DestroyList(VOID);

	public:

	// Public subroutines.
	MsgList::MsgList(void);
	MsgList::~MsgList(void);
	BOOL Subscribe(SUBSCRIBE*);
	VOID UnSubscribe(SUBSCRIBE*);
	VOID Notify(UINT, WPARAM, LPARAM);
};



